Opzioni da linea di comando
Indietro |  | Avanti

## Opzioni da linea di comando

### Riassunto delle opzioni

Di seguito è riportato un riassunto di tutte le opzioni, raggruppate per tipo. Le spiegazioni sono contenute nelle sezioni seguenti.

Opzioni generali

  `-h`, `--help`; `-V`, `--version`; `--disable-server` ; `--default-display=`schermo`` ; `--default-working-directory=`cartella``

Separatori di finestra o di scheda

  `--tab` ; `--window`

Opzioni schede

  `-x`, `--execute`; `-e`, `--command=`comando``; `--working-directory=`cartella`` ; `-T`, `--title=`titolo``; `-H`, `--hold`

Opzioni della finestra

  `--display=`schermo`` ; `--geometry=`geometria`` ; `--role=`ruolo`` ; `--startup-id=`stringa`` ; `-I, --icon=`icona`` ; `--fullscreen` ; `--maximize` ; `--show-menubar` , `--hide-menubar` ; `--show-borders` , `--hide-borders` ; `--show-toolbars` , `--hide-toolbars`

### Opzioni generali

`-h`, `--help`

  Elenca le varie opzioni da linea di comando suportate da Terminal ed esce

`-V`, `--version`

  Stampa le informazioni sulla versione ed esce

`--disable-server`

  Non registrare con il bus del messaggio di sessione D-BUS

`--default-display=`schermo``

  Schermo X predefinito da utilizzare.

`--default-working-directory=`cartella``

  Imposta `cartella` come cartella di lavoro predefinita per il terminale

### Separatori di finestra o di scheda

`--tab`

  Apre una nuova scheda nell'ultima finestra specificata; può essere fornit apiù di una di queste opzioni.

`--window`

  Apre una nuova finestra contenente una scheda; può essere fornita più di una di queste opzioni.

### Opzioni schede

`-x`, `--execute`

  Esegue il resto della linea di comando all'interno del terminale

`-e`, `--command=`comando``

  Esegue `comando` all'interno del terminale

`--working-directory=`cartella``

  Imposta `cartella` come cartella di lavoro del terminale

`-T`, `--title=`titolo``

  Imposta `titolo` come titolo iniziale della finestra del terminale

`-H`, `--hold`

  Comporta che il terminale non viene chiuso quando il comando figlio è terminato

### Opzioni della finestra

`--display=`schermo``

  Schermo X da utilizzare per l'ultima finestra specificata.

`--geometry=`geometria``

  Imposta la geometria dell'ultima finestra specificata a `geometria`. Si guardi X(7) per maggiori informazioni su come specificare la geometria della finestra.

`--role=`ruolo``

  Imposta il ruolo della finestra dell'ultima finestra specificata a `ruolo`. Si applica solamente a una finestra e può essere specificato una sola volta per ciascuna finestra creata da linea di comando. E' generalmente utilizzato per la gestione delle sessioni all'interno di Terminal.

`--startup-id=`stringa``

  Specifica l'id di notifica di avvio per l'ultima finestra specificata. Viene utilizzato internamente per inoltrare l'id di notifica di avvio quando si utilizza il servizio D-BUS.

`-I, --icon=`icona``

  Imposta l'icona del terminale come nome icona o nome file.

`--fullscreen`

  Imposta l'ultima finestra specificata in modalità a schermo intero; si applica solamente a una finestra; può essere specificato più di una volta per ciascuna finestra creata da linea di comando.

`--maximize`

  Imposta l'ultima finestra specificata in modalità massimizzata; si applica solamente a una finestra; può essere specificato più di una volta per ciascuna finestra creata da linea di comando.

`--show-menubar`

  Abilita la barra dei menu per l'ultima finestra specificata. Può essere specificato solo una volta per ciascuna finestra creata da linea di comando.

`--hide-menubar`

  Disabilita la barra dei menu per l'ultima finestra specificata. Può essere specificato solo una volta per ciascuna finestra creata da linea di comando.

`--show-borders`

  Mostra i bordi della finestra per l'ultima finestra specificata. Si applica a una sola finestra. Può essere specificato solo una volta per ciascuna finestra creata da linea di comando.

`--hide-borders`

  Nasconde i bordi della finestra per l'ultima finestra specificata. Si applica a una sola finestra. Può essere specificato solo una volta per ciascuna finestra creata da linea di comando.

`--show-toolbars`

  Abilita le barre degli strumenti per l'ultima finestra specificata. Si applica a una sola finestra. Può essere specificato solo una volta per ciascuna finestra creata da linea di comando.

`--hide-toolbars`

  Disabilita le barre degli strumenti per l'ultima finestra specificata. Si applica a una sola finestra. Può essere specificato solo una volta per ciascuna finestra creata da linea di comando.

Indietro |  | Avanti
Preferenze | Partenza | Argomenti avanzati